# $Id: dansguardian.spec  2007-04-06 dpv $
# Upstream: Daniel Barron <author$dansguardian,org>

#
# What to change when you build a new version:
# Version - match upstream version
# Release - Usually this would stay the same if the version is changed.
# 	    It is only things NOT in the .tar.gz file that will cause a release number change.
# Packager - if desired
# Vendor - if desired
# Patch0 - could easily become obsolete if the upstream version has changed
# %files - if files are added or removed, this section needs to be updated accordingly
#

%define real_name DansGuardian

Summary: Content filtering web proxy
Name: dansguardian-clamd
BuildRequires: gcc-c++ zlib-devel pcre-devel
Requires: coreutils squid
License: GPL
Group: System Environment/Daemons
URL: http://www.dansguardian.org/
Version: 2.10.1.1
Release: 1.1.el6.clamd.0.97
Packager: Ed van der salm <rpm@de.isblij.com> - based on Queensland Baptists (and others) work
Vendor: Flevoziekenhuis - Almere

# all of these files must live in /usr/src/redhat/SOURCES
Source: dansguardian-%{version}.tar.gz
Source1: dansguardian.init-el6
Source3: dansguardian.logrotate-el6
Patch0: dansguardian.patch
BuildRoot: %{_tmppath}/dansguardian-%{version}-%{release}-root


%description
DansGuardian is a web filtering engine that checks the content within
the page itself in addition to the more traditional URL filtering.

DansGuardian is a content filtering proxy. It filters using multiple methods,
including URL and domain filtering, content phrase filtering, PICS filtering,
MIME filtering, file extension filtering, POST filtering.

%prep
%setup -q -n dansguardian-%{version}
%patch0 -p0

%build
%{configure} \
	--enable-clamav=no \
	--enable-clamd=yes \
	--enable-email=yes \
	--enable-icap=yes \
	--enable-kavd=yes \
	--enable-ntlm=yes \
	--enable-pcre=yes \

%{__perl} -pi.orig -e '
		s|^(CHKCONFIG) =.*$|$1 = :|;
                s|^\tchown|#\tchown|;
		s|/usr/lib|%{_libdir}|g;
        ' Makefile

%{__make} %{?_smp_mflags}

%install
mkdir -p %{buildroot}/var/log/dansguardian/
#mkdir -p %{buildroot}/var/run
make install DESTDIR=%{buildroot}
%{__install} -D -m0755 %{SOURCE1} %{buildroot}%{_initrddir}/dansguardian
%{__install} -D -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/dansguardian
ln -s /etc/init.d/dansguardian %{buildroot}%{_sbindir}/rcdansguardian

%post
chown -R nobody /var/log/dansguardian
chkconfig --add dansguardian

%preun
if [ $1 -eq 0 ]; then
        /etc/init.d/dansguardian stop &>/dev/null || :

fi

%postun


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc INSTALL README
%doc /usr/share/doc/dansguardian/*
%doc %{_mandir}/man?/*
%config %{_sysconfdir}/dansguardian/*
%config %{_sysconfdir}/logrotate.d/dansguardian
%dir /etc/dansguardian
%dir /usr/share/dansguardian
/usr/share/dansguardian/*
%{_sbindir}/dansguardian
%{_initrddir}/dansguardian
%{_sbindir}/rcdansguardian
%dir /var/log/dansguardian

%changelog
* Wed Dec 14 2011 Ed van der Salm <rpm@de.isblij.com> - 2.10-1.1
- Minor change, disabled clamav. I just wanted to build for el6-x86_64.

* Wed Mar 11 2009 Rick Saul <rpm@qb.com.au> - 2.10-0.3
- Update to DG stable release.

* Wed Sep 17 2008 Paul Gear <rpm@libertysys.com.au>  - 2.9.9.8
- Created CentOS version based on Don Vosburg's SUSE spec file. See http://dansguardian.org/downloads/2/Beta/SUSE.txt
